Bug 37411 - Libreoffice shows UI and does not stop with --convert-to
Summary: Libreoffice shows UI and does not stop with --convert-to
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Muthu
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-20 08:47 UTC by Petr Mladek
Modified: 2012-01-12 02:00 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
test document (12.97 KB, application/vnd.oasis.opendocument.text)
2011-05-20 08:47 UTC, Petr Mladek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Mladek 2011-05-20 08:47:56 UTC
Created attachment 46957 [details]
test document

The following command:

    /opt/libreoffice3.4/program/soffice --convert-to pdf test.odt

should start LO without the splash, without UI, and just convert test.odt into test.pdf. It should work on the command-line even without running X server.

LO-3.4.0-rc1 does the conversion but it shows the LO UI (welcome screen) and keeps it running.
Comment 1 Petr Mladek 2011-05-20 08:48:56 UTC
Muthu, could you please have a look?
Comment 2 Muthu 2011-09-09 09:59:59 UTC
@petr: is this still a problem?
Comment 3 Petr Mladek 2011-09-12 02:36:36 UTC
Yes, the problem still exists in LO-3.4. I do not have master build around but you might check it easily if you have it.
Comment 4 Muthu 2011-12-15 01:24:37 UTC
Working in the latest master - and should as well in 3.5.
[I haven't fixed anything specific]
Comment 5 Muthu 2012-01-11 03:31:40 UTC
You could use soffice.bin instead and --headless as well (if required).
Closing this fixed.
Comment 6 Petr Mladek 2012-01-12 02:00:04 UTC
I confirm that it works as expected in LO-3.5. Thanks for fixing it.